
var EXPORTED_SYMBOLS = ["GenericView"];

var Cc = Components.classes;
var Cu = Components.utils;
var Ci = Components.interfaces;

Cu.import("resource://extrabux/modules/logging.jsm");


function GenericView(window, browser, models, jquery) {
  this._window = window;
  this._document = window.document;
  this._browser = browser;
  this.$ = jquery;

  this._models = models;
  // _controllers object is injected after the view is constructed.
  this._controllers = null;

  this._visible = false;
}


GenericView.prototype.hide = function() {
  throw "Not implemented.";
};


GenericView.prototype.show = function() {
  throw "Not implemented.";
};


/*
 * Clones the template element.
 */
GenericView.prototype._cloneTemplatePanel = function(templateId) {
  logger.debug("Cloning template panel");
  var template = this.$(templateId).clone(false);

  // We don't want no duplicate ids.
  template.removeAttr("id");

  // Append it to the mainPopupSet (otherwise it will never show).
  this.$("#mainPopupSet").append(template);

  return template;
};


GenericView.prototype.destroy = function() {
};
