var EXPORTED_SYMBOLS = ["Config"];


var Config = (function (my) {

  my.baseURL = "http://www.extrabux.com/api/";
  my.logoutURL = "http://www.extrabux.com/users/logout";

  my.publisherId = 1;

  my.defaultGETParams = {
    "key": "d1833805515fc34b46c2b9de553f599d"
  };
  my.defaultPOSTParams = {
    "publisher_id": my.publisherId
  };

  my.currencySign = "$";

  my.expireDateLimit = 2015;
  my.minPwdLength = 6;

  my.logoURL = "chrome://extrabux/skin/extrabux_logo_transparent_small.png";
  my.logoLinkURL = "http://www.extrabux.com";

  my.welcomeURL = "http://www.extrabux.com/success";
  my.goodbyeUninstallURL = "http://www.surveymonkey.com/s/L3GK95L";
  my.forgotPwdLink = "http://www.extrabux.com/users/forgot";

  my.facebookConnectURL = "http://www.extrabux.com/plugin/login";
  my.facebookConnectDoneURL = "http://www.extrabux.com/plugin/auth";

  my.listLoadedStepSize = 200;

  my.storesListUpdateIntervalMs = 86400000; //1 day;

  my.timezoneHoursOffset = 7;

  my.redirectSite = "www.extrabux.com";
  my.redirectSiteCouponRegexp = /.+\/transfer\/store\/[0-9]+\/([0-9]+)(\?.*)?$/;
  // There is more than one way user can redirect from Extrabux site when
  // he takes cash back, so keep a list of regexps.
  my.redirectSiteStoreRegexp = [
    /.+\/transfer\/store\/.*$/,
    /.+\/transfer\/product\/.*$/ ];

  my.homeSite = "www.extrabux.com";
  my.loginCookieName = "_pac";

  my.queryParamForStoreBlocking = "afsrc";
  my.queryParamForNotifBarAutoHide = "network_id";

  my.notifBarHideTimeout = 60 * 1000;

  return my;

}({}));

