
var EXPORTED_SYMBOLS = ["GenericController"];

var Cc = Components.classes;
var Cu = Components.utils;
var Ci = Components.interfaces;


Cu["import"]("resource://extrabux/modules/storeCache.jsm");
Cu["import"]("resource://extrabux/modules/logging.jsm");


function GenericController(window, browser, models, views, $) {
  this._window = window;
  this._browser = browser;
  this._models = models;
  this._views = views;
  this.$ = $;

  var self = this;
  this.listLoadedRef = GlobalStoreCache.listLoaded.attach(function() {
    self.onListLoaded();
  });
}


GenericController.prototype.pageLoaded = function(browser, event) {
};


GenericController.prototype.pageUnloaded = function(event) {
};


GenericController.prototype.onListLoaded = function(who, list) {
};


GenericController.prototype.tabClosed = function(list) {
  GlobalStoreCache.listLoaded.detach(this.listLoadedRef);
};

